<?
/* --------------------------------------------------------------------
   Copyright (c) 2004-2012 Daniel Pedemont (dan@pedemont.net)                 
   -------------------------------------------------------------------- */

error_reporting(E_ALL ^ E_NOTICE);

//kept script as php so it still loads libs and php binary
include($_SERVER['SONIC_LIB'].'/sonic.inc');

$SONIC_ARG = sonic_args($_SERVER['argv']);

if ($SONIC_ARG['h'] OR $SONIC_ARG['help'] or sizeof($SONIC_ARG) < 1)
{
  echo 'Usage: [--prefix | --config-dir | --libexec | --lib | --php-exe | --php-ini | --php-ext-dir | --php-opt ]'."\n";
  exit();
}

//mode checks
if (sizeof($SONIC_ARG) > 1)
  die('Modes are mutally exclusive'."\n");

list($arg_name, $arg_val) = each($SONIC_ARG);

switch ($arg_name)
{
  case 'prefix':
    echo $_SERVER['SONIC_PREFIX'];
  break;

  case 'config-dir':
    echo $_SERVER['SONIC_ETC'];
  break;

  case 'libexec':
    echo $_SERVER['SONIC_LIBEXEC'];
  break;

  case 'lib':
    echo $_SERVER['SONIC_LIB'];
  break;

  case 'php-exe':
    echo $_SERVER['SONIC_PHP_EXE'];
  break;

  case 'php-ini':
    echo $_SERVER['SONIC_PHP_INI'];
  break;

  case 'php-ext-dir':
    echo $_SERVER['SONIC_PHP_EXT'];
  break;

  case 'php-opt':
    echo $_SERVER['SONIC_PHP_OPT'];
  break;

  //not sure if this is still used
  case 'php-prefix':
    echo $_SERVER['PHP_PATH'];
  break;
}
echo "\n";

?>
